VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::appliance::vmon::ServiceTypes::State Class Reference

The `Service.State` enumerated type defines valid Run State for services. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, STARTING, STOPPING, STARTED, STOPPED }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static State[] | GetValues ()
static State | ValueOf (string name)
## Static Public Attributes
static readonly State | STARTING = new State("STARTING", Values.STARTING)
| Service Run State is Starting, it is still not functional.
static readonly State | STOPPING = new State("STOPPING", Values.STOPPING)
| Service Run State is Stopping, it is not functional.
static readonly State | STARTED = new State("STARTED", Values.STARTED)
| Service Run State is Started, it is fully functional.
static readonly State | STOPPED = new State("STOPPED", Values.STOPPED)
| Service Run State is Stopped.

## Detailed Description

The `Service.State` enumerated type defines valid Run State for services.

## Member Enumeration Documentation

enum vmware::appliance::vmon::ServiceTypes::State::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  STARTING | Service Run State is Starting, it is still not functional.
  STOPPING | Service Run State is Stopping, it is not functional.
  STARTED | Service Run State is Started, it is fully functional.
  STOPPED | Service Run State is Stopped.

## Member Function Documentation

Values vmware::appliance::vmon::ServiceTypes::State::GetEnumValue | ( |  | ) | `[inline]`

static State [] vmware::appliance::vmon::ServiceTypes::State::GetValues | ( |  | ) | `[inline, static]`

bool vmware::appliance::vmon::ServiceTypes::State::IsUnknown | ( |  | ) | `[inline]`

static State vmware::appliance::vmon::ServiceTypes::State::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly State vmware::appliance::vmon::ServiceTypes::State::STARTED = new State("STARTED", Values.STARTED)`[static]`

Service Run State is Started, it is fully functional.

readonly State vmware::appliance::vmon::ServiceTypes::State::STARTING = new State("STARTING", Values.STARTING)`[static]`

Service Run State is Starting, it is still not functional.

readonly State vmware::appliance::vmon::ServiceTypes::State::STOPPED = new State("STOPPED", Values.STOPPED)`[static]`

Service Run State is Stopped.

readonly State vmware::appliance::vmon::ServiceTypes::State::STOPPING = new State("STOPPING", Values.STOPPING)`[static]`

Service Run State is Stopping, it is not functional.

The documentation for this class was generated from the following file:

- appliance/vmon/ServiceTypes.cs